"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const oclifArgs_decorator_1 = require("./oclifArgs.decorator");
const oclifFlags_decorator_1 = require("./oclifFlags.decorator");
const base_command_1 = require("./base.command");
function oclifProviders() {
    const flagsProviders = oclifFlags_decorator_1.flagKeys.map((flag) => {
        if (flag === '') {
            return {
                provide: 'oclif.flags',
                useFactory: () => base_command_1.BaseCommand.cmdContext.flags,
            };
        }
        return {
            provide: `oclif.flags.${flag}`,
            useFactory: () => base_command_1.BaseCommand.cmdContext.flags[flag],
        };
    });
    const argsProviders = oclifArgs_decorator_1.argKeys.map((arg) => {
        if (arg === '') {
            return {
                provide: 'oclif.args',
                useFactory: () => base_command_1.BaseCommand.cmdContext.args,
            };
        }
        return {
            provide: `oclif.args.${arg}`,
            useFactory: () => base_command_1.BaseCommand.cmdContext.args[arg],
        };
    });
    return flagsProviders.concat(argsProviders);
}
exports.oclifProviders = oclifProviders;
//# sourceMappingURL=oclif.providers.js.map