"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const logger = new common_1.Logger('OclifCommand');
exports.entrypoints = [];
function OclifCommand(commandClass) {
    return (serviceClass, serviceMethod) => {
        logger.debug(`register command ${commandClass} to run ${serviceClass.constructor.name}.${serviceMethod}`);
        if (exports.entrypoints.map((e) => e.commandClass).includes(commandClass)) {
            throw new Error(`Multiple OclifCommand declarations for command ${commandClass}`);
        }
        exports.entrypoints.push({ commandClass, serviceClass, serviceMethod });
    };
}
exports.OclifCommand = OclifCommand;
//# sourceMappingURL=oclifCommand.decorator.js.map